<template>
  <div class="flex-auto flex flex-col space-y-8 pb-8">
    <div class="flex-auto">
      <Component
        :is="getCurrentComponent"
        @nextStage="nextStage"
        @goTo="goToStage"
      />
    </div>
    <SecurityFooter/>
  </div>
</template>

<script>
import SecurityFooter from "@/components/misc/SecurityFooter";
import {parentComponentMixin} from "@/utils/mixins";
import SkinAnalysis2 from "@/components/quizzes/SkinAnalysis/SkinAnalysis2";
import SkinAnalysis3 from "@/components/quizzes/SkinAnalysis/SkinAnalysis3";
import SkinAnalysis4 from "@/components/quizzes/SkinAnalysis/SkinAnalysis4";
import SkinAnalysis5 from "@/components/quizzes/SkinAnalysis/SkinAnalysis5";
import SkinAnalysis6 from "@/components/quizzes/SkinAnalysis/SkinAnalysis6";
export default {
  mixins: [parentComponentMixin],
  name: "SkinAnalysis",
  components: {SecurityFooter},
  data() {
    return {
      stages: {
        1: SkinAnalysis2, 2: SkinAnalysis3, 3: SkinAnalysis4,
        4: SkinAnalysis5, 5: SkinAnalysis6,
      },
      stageNumber: 1
    }
  }
}
</script>

<style scoped>

</style>
